---
title: Soutěže
---

<p>Soutěž je důležitá, protože i když chcete odehrát zápasy, tak v STM musí zápas patřit do
jedné ze soutěží. Základní soutěží je prosté seskupení zápasů, typ takové soutěže je v STM označován
jako <em>Zápasy</em>. Příkladem budiž letní příprava, která představuje několik odehraných přípravných
zápasů. I když je v principu základní soutěž jednoduchá, tak definuje důležité operace, které jsou využívány
i v pokročilých typech soutěží.</p>

<h2>Soutěže s pokročilými herními systémy ("potomci" základní soutěže)</h2>
<ul>
    <li><a href="<%= webPrefix %>/help/module/season.html">Sezóna</a> - každý s každým</li>
    <li><a href="<%= webPrefix %>/help/module/playoff.html">Playoff</a> - vyřazovací systém</li>
</ul>

<h2>Dostupné akce</h2>
<ul>
    <li><strong>Seznam všech soutěží</strong> - seřazené podle kategorií a možnost filtru podle týmu</li>
    <li><strong>Detail soutěže</strong> - přehled posledních a přístích zápasů v soutěži a parametrů soutěže</li>
    <li><strong>Vytvoření nové soutěže</strong> - potomoci mohou nastavovat i další atributy</li>
    <li><strong>Úprava soutěže</strong></li>
    <li><strong>Statistiky soutěže</strong> - počty týmů, zápasů a počty hráčů v jednotlivých týmech</li>
    <li><strong>Zápasy</strong> - všechny zápasy ze soutěže s možností filtru podle týmu</li>
    <li><strong>Týmy hrající soutěž</strong> - přidání/odstranění týmu ze soutěže, možnost označení vlastního týmu, jde vložit i
     všechny týmy z jiné soutěže</li>
    <li><strong>Smazání zápasů soutěže</strong> - nejde pro playoff</li>
    <li><strong>Smazání soutěže</strong> - pokud neobsahuje žádné zápasy</li>
</ul>

<h2>Pokročilá správa soutěže</h2>
<ul>
    <li><strong>Týmoví hráči do sestav</strong> - všichni týmovi hráči budou automaticky vloženi do všech zápasů v soutěži</li>
    <li><strong>Vytvoření souhrnu</strong> - pro tisk rozpisu na více hřišť, pro závěrečné shrnutí výsledků soutěže</li>
</ul>

<h2>Typ počítání skóre</h2>
<ul>
    <li><strong>Fotbalová skóre</strong> - 6:0, 7:6 &rarr; výsledek zápasu bude 13:6</li>
    <li><strong>Tenisová skóre</strong> - 6:0, 7:6 &rarr; výsledek zápasu bude 2:0</li>
</ul>

<h2>Viditelnost soutěže</h2>
<ul>
    <li><strong>Veřejná</strong> - viditelná navíc s možností tipování výsledků zápasů.</li>
    <li><strong>Viditelná</strong> - veřejně přístupná soutěž bez možnosti tipování výsledků.</li>
    <li><strong>Skrytá</strong> - viditelná pouze pro administrátory a správce.</li>
</ul>

<h2>Kde se používá v STM?</h2>
<ul>
    <li><a href="<%= webPrefix %>/help/module/match.html">Zápas</a> - je nutno vytvořit nový zápas do soutěže, ale i pro filtrování</li>
    <li><a href="<%= webPrefix %>/help/module/statistics.html">Statistiky</a> - hráčské statistiky všech členů soutěže</li>
    <li><a href="<%= webPrefix %>/help/module/prediction.html">Tipování</a> - žebříček tipéru a statistiky tipování zápasů ze soutěže</li>
    <li>Soutěže se používají v mnoha modulech jako prostředek pro filtrování</li>
</ul>

<h2>Které uživatelské skupiny mají přístup?</h2>
<ul>
    <li><strong>Administrátor, sportovní správce</strong> - vytváření, úprava, smazání</li>
    <li><strong>Správce soutěže, registrovaný uživatel, návštěvník</strong> - pouze pro čtení</li>
</ul>

<h2>Omezení v modulu</h2>
<ul>
    <li>Soutěž jde smazat, pokud neobsahuje žádné zápasy</li>
</ul>